astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Pix2Sky_ZenithalPerspective

# Pix2Sky_ZenithalPerspective

class `astropy.modeling.projections.``Pix2Sky_ZenithalPerspective`

  Bases: `astropy.modeling.projections.Pix2SkyProjection`, `astropy.modeling.projections.Zenithal`

  Zenithal perspective projection - pixel to sky.

  Corresponds to the `AZP` projection in FITS WCS.

  \phi &= \arg(-y \cos \gamma, x) \\ \theta &= \left\{\genfrac{}{}{0pt}{}{\psi - \omega}{\psi + \omega + 180^{\circ}}\right.

  where:

  \psi &= \arg(\rho, 1) \\ \omega &= \sin^{-1}\left(\frac{\rho \mu}{\sqrt{\rho^2 + 1}}\right) \\ \rho &= \frac{R}{\frac{180^{\circ}}{\pi}(\mu + 1) + y \sin \gamma} \\ R &= \sqrt{x^2 + y^2 \cos^2 \gamma}

  Parameters:

  mu : float

  > Distance from point of projection to center of sphere in spherical radii, μ. Default is 0.

  gamma : float

  > Look angle γ in degrees. Default is 0°.

  Attributes Summary

  `gamma` |
  `mu` |
  `param_names` |

  Methods Summary

  `check_mu`(*args, **kwargs) | Deprecated since version 1.1.
  `evaluate`(x, y, mu, gamma) |

  Attributes Documentation

  `gamma`
  `mu`
  `param_names` = ('mu', 'gamma')

  Methods Documentation

  `check_mu`(*args, **kwargs)

    Deprecated since version 1.1: this method was never intended as part of the public API and will be removed; if you do need its functionality use model.mu.validator(val)

  classmethod `evaluate`(x, y, mu, gamma)